## javax.portlet
Interface PreferencesValidator

    public interface PreferencesValidator

The `PreferencesValidator` allows to validate the set of preferences of the associated portlet just before they are stored in the persistent store.

The portlet container invokes the `validate` method as part of the invocation of the `store` method of the `PortletPreferences`.

Method Summary
`void` `validate(PortletPreferences preferences)` If the preferences values are successfully validated the call to this method must finish gracefully.

Method Detail

### validate

    void validate(PortletPreferences preferences)
                  throws ValidatorException

  If the preferences values are successfully validated the call to this method must finish gracefully. Otherwise it must throw a `ValidatorException`.

  Parameters:
    `preferences` - preferences to validate
  Throws:
    `ValidatorException` - if the given preferences contains invalid settings

Copyright © 2010. All Rights Reserved.